JQMIGRATE: Migrate is installed, version 1.4.1 на WordPress

После обновления WordPress до версии 4.5 и выше у некоторых перестаёт работать анимация слайдов, выпадающие пункты меню и т.д. Возможно ещё что-то у вас перестало работать. В этом случае в консоли браузера (вызывается по нажатию F12) мы видим сообщение:

JQMIGRATE: Migrate is installed, version 1.4.0

Знающие люди вещают, что это начало происходить из-за того, что у WordPress обновились скрипты. У меня на сайте всё работало вроде, но сообщение в консоли мне не нравилось. Оно явно говорило, что с моим сайтом не всё в порядке. Что делать в этом случае?

В этом случае открываем файл «functions.php» нашей темы и туда прописываем следующее:

Т.е. подключаем самую свежую версию библиотеки «jquery». В дальнейшем можете проверять периодически вышла ли новая библиотека по адресу: developers.google.com/speed/libraries/#jquery

Share